Home > 열린마당 > 공개SW 소식

공개SW 소식

2014년 10월 02일 (목)

ⓒ 디지털데일리, 이민형 기자 kiku@ddaily.co.kr



지난달 등장한 배시(Bourne Again Shell, Bash) 취약점으로 인해 국내 보안업계도 패치를 위해 분주하게 움직이고 있다.


‘배시 버그(Bash Bug)’ 또는 ‘셸쇼크(Shellshock)’로 알려진 ‘GNU 배시 원격 코드 실행 취약점’이 공격당할 경우, 공격자는 표적 컴퓨터를 제어할 수 있게 된다.


이 취약점은 많은 리눅스와 유닉스 OS의 셸(Shell)이라는 일반적인 구성 요소의 하나인 배시(Bash)에 영향을 미친다. 배시는 사용자가 명령어를 간단한 텍스트 기반의 윈도우에 입력하면 OS가 이에 따라 동작하게 만드는 명령어 해석기의 역할을 수행한다.


2일 보안업계에 따르면 안랩, 시큐아이, 지니네트웍스, 윈스 등 주요 보안업체들이 자사 보안솔루션에 탑재된 운영체제(OS) 패치에 나섰다.


이들은 지난달 말까지 영향을 받는 제품군을 추려낸 뒤 해당 제품에 맞는 패치를 개발해 패치 파일을 배포하고 있다. 안랩과 지니네트웍스는 패치를 실시하고 있으며, 다른 보안업체들으 이달 중 배포와 적용을 완료할 계획이다.


보안업계가 이번 취약점 등장으로 인해 바쁘게 움직이고 있는 까닭은 국내에 출시된 많은 보안솔루션들이 리눅스를 기반으로 동작하기 때문이다. 이번에 발견된 취약점 역시 리눅스에서 유효하기 때문에 이에 대한 대응이 반드시 필요하다.


업계 관계자는 “이번에 발견된 취약점은 거의 대부분의 리눅스 배포판에서 악용될 수 있기 때문에 발빠른 조치가 필요하다”며 “패치를 하지 않더라도 해당 취약점이 악용될 가능성은 낮지만 다양한 변수가 존재하는 한 조속한 업데이트를 진행해야 한다”고 설명했다.


국내 보안업계가 움직이고 있음에도 배시 버그에 대한 우려는 점점 더 커지고 있다. 리눅스 기반, 그 중에서도 CGI(공용 게이트웨이 인터페이스)에 대한 취약점이 가장 위험하기 때문이다. 특히 CGI를 사용하는 보안솔루션의 경우 일부 개발사가 폐업했기 때문에 대응할 수 있는 방법이 없다.


즉, CGI가 가장 취약한 문제를 가지고 있음에도 불구하고 이를 기반으로 한 구형 보안솔루션에 대한 패치가 나오지 않는 것이다.


김계연 지니네트웍스 연구소장은 “배시 버그를 악용하는 공격자들은 CGI를 사용하는 구형 보안솔루션들을 주된 대상으로 삼을 수 있다”며 “이런 구형 보안솔루션들은 업데이트가 제고되지 않을 가능성이 높아 더욱 심각하다”고 전했다.


아울러 웹서버에 대한 공격도 거세질 것으로 보인다. 공격자가 접근하기 가장 편한 장소이기 때문이다. 공격자가 이 취약점을 이용해 기업 데이터에 접근하고 네트워크에 침투할 수 있다는 사실을 인지해야 하며, 반드시 이용 가능한 패치를 즉각 설치해야 한다.


이외에도 시만텍, 트렌드마이크로, IBM, HP 등 주요 글로벌 보안업체들도 배시 버그에 대한 방어 패턴과 패치를 제공하고 있다.




※ 본 내용은 (주)디지털데일리(http://www.ddaily.co.kr)의 저작권 동의에 의해 공유되고 있습니다.

Copyright ⓒ 디지털데일리. 무단전재 및 재배포 금지


[원문출처 : http://www.ddaily.co.kr/news/article.html?no=122932]

맨 위로
맨 위로